Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158150 - should tetex-xdvi require fonts-japanese package?
Summary: should tetex-xdvi require fonts-japanese package?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 05:44 UTC by Jef Spaleta
Modified: 2013-07-02 23:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-24 19:02:19 UTC


Attachments (Terms of Use)

Description Jef Spaleta 2005-05-19 05:44:36 UTC
Description of problem:
fonts-japanese package is pretty large 20+ megs
is it really necessary to make that a hard requirement for 829k tetex-xdvi
package?  I realize that access to multi-lingual support is important.. but is
it really wise to hardcode language specific fonts into individual application
packages?

If xdvi supported arabic, hebrew, korean and bengali.. would you also put hard
deps on those font packages in a similar way? 

I think application packaging has to rely on language specific fonts to be
installed on the system instead of placing hard requirements.  Multilingual
support that was enforced at the application package level across a number of
packages like xdvi is doing leads to all language fonts being installed on all
systems to satify packaging requirements.  

-jef

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jindrich Novy 2005-05-19 07:48:32 UTC
Yes, I agree the requirement is rather hard, but it's tricky not to require
fonts-japanese because of the fact the Japanese language is enabled by default
in spec and its support (not only for xdvi) is pointless without installed
Japanese fonts.

IMHO the solution to this problem is to separate japanese support from the pure
tetex package and add tetex-ja subpackage with the fonts-japanese requirement.


Comment 2 Orion Poplawski 2005-11-21 21:07:14 UTC
Does it fail to run/render non-Japanese output without fonts-japanese?  If not,
I don't see the reason for the requirement.

Comment 3 Jindrich Novy 2006-06-24 19:02:19 UTC
fonts-japanese dependency was removed since tetex-3.0-26.


Note You need to log in before you can comment on or make changes to this bug.